#version 330 core
in vec4 FragPos;

uniform vec3 lightPos;
uniform float far_plane;
uniform float near_plane;

void main()
{
	float lightDistance = distance(FragPos.xyz, lightPos);
	lightDistance = (lightDistance - near_plane) / (far_plane - near_plane); // Map to 0 - 1
	gl_FragDepth = lightDistance;
}