#version 330 core
out vec4 color;

in vec2 TexCoords;
in vec4 ParticleColor;

uniform sampler2D sprite;

void main()
{
	vec4 texColor = texture(sprite, TexCoords);
	if (texColor.a == 0.0) discard;

    color = (texture(sprite, TexCoords) * ParticleColor);
}  