#version 330 core
layout (location = 0) out vec4 FragColor;
layout (location = 1) out vec4 BrightColor;

in vec3 TexCoords;
//out vec4 color;

uniform samplerCube skybox;

void main()
{   
	vec4 texColor = texture(skybox, TexCoords);

	if(texColor.r >= 0.9 && texColor.g >= 0.9 && texColor.b >= 0.9)
        BrightColor = vec4(texColor.rgb, 1.0);
    else
        BrightColor = vec4(0.0, 0.0, 0.0, 1.0);

    FragColor = texColor;
}