#version 330 core
layout (triangles) in;
layout (triangle_strip, max_vertices=18) out;

uniform mat4 shadowTransforms[6];

out vec4 FragPos;

void main()
{
    for(gl_Layer = 0; gl_Layer < 6; ++gl_Layer)
    {
        for(int i = 0; i < 3; ++i)
        {
            FragPos = gl_in[i].gl_Position;
            gl_Position = shadowTransforms[gl_Layer] * FragPos;
            EmitVertex();
        }    
        EndPrimitive();
    }
} 