#version 330 core
out vec4 FragColor;
in vec2 TexCoords;

uniform sampler2D occlusionTexture;
uniform bool lightInView;
uniform bool godRay;
uniform float exposure;
uniform vec2 screenSpaceLightPos;

const int NUM_SAMPLES = 100 ;

void main()
{   
	float density = 1.0;
    float weight = 0.01;
    float decay = 1.0 ;

	//if (godRay)
	//{
	//	if (lightInView)
	//	{
	//		vec3 result = vec3(0.0,0.0,0.0);
	
	//		vec2 deltaTextCoord = vec2( TexCoords - screenSpaceLightPos.xy );
	//		vec2 textCoo = TexCoords.xy ;

	//		deltaTextCoord *= (1.0 /  float(numSamples)) * density;
	//		float illuminationDecay = 1.0;

	//		for(int i=0; i < numSamples ; i++)
	//		{
	//			textCoo -= deltaTextCoord;
	//			vec3 occlusion = texture(occlusionTexture, TexCoords).rgb;
	//			occlusion *= illuminationDecay * weight;
	//			result += occlusion;
	//			illuminationDecay *= decay;
	//		}


	//		FragColor = vec4(result, 1.0);
	//	}
	//}

	//float x = screenSpaceLightPos.x / 1280;
	//float y = screenSpaceLightPos.y / 720;

	//vec3 result = vec3(0.0,0.0,0.0);

	//vec2 deltaTextCoord;
	//deltaTextCoord.x = TexCoords.x - screenSpaceLightPos.x;
	//deltaTextCoord.y = TexCoords.y - screenSpaceLightPos.y;

	//vec2 texCoordsTemp;
	//texCoordsTemp.x = TexCoords.x;
	//texCoordsTemp.y = TexCoords.y;

	//deltaTextCoord = deltaTextCoord * (1.0 /  float(numSamples)) * density;
	//float illuminationDecay = 1.0;

	//for(int i = 0; i < 100; i++)
	//{
	//	texCoordsTemp.x = texCoordsTemp.x - deltaTextCoord.x;
	//	texCoordsTemp.y = texCoordsTemp.y - deltaTextCoord.y;

	//	vec3 occlusion = texture(occlusionTexture, texCoordsTemp).rgb;

	//	occlusion = occlusion * illuminationDecay * weight;
	//	result += occlusion;
	//	illuminationDecay = illuminationDecay * decay;
	//}

	//if (godRay)
	//{
	//	FragColor = vec4(result, 1.0);
	//}

	if (godRay)
	{

		vec2 deltaTextCoord = vec2( TexCoords.st - screenSpaceLightPos.xy );
		vec2 textCoo = TexCoords.st;
		deltaTextCoord *= 1.0 /  float(NUM_SAMPLES) * density;
		float illuminationDecay = 1.0;
	
	
		for(int i=0; i < NUM_SAMPLES ; i++)
		{
				textCoo -= deltaTextCoord;
				vec4 sample = texture2D(occlusionTexture, textCoo );
			
				sample *= illuminationDecay * weight;
			
				FragColor += sample;
			
				illuminationDecay *= decay;
		}
	
		//FragColor *= exposure;
	}
	else
	{
		FragColor = vec4(0.0, 0.0, 0.0, 1.0);
	}

}